### Hierarchy

- IUserPageAccess

## Index

### Properties

- by_name_url
- content_by_name_url
- content_url
- domain
- domain_id
- domain_name
- domain_url
- encryption_key_to_use
- encryption_to_use
- id
- is_administrator
- is_public
- is_users_default_page
- name
- pull_interval
- push_interval
- special_page_type
- url
- write_access
- ws_enabled

## Properties

### by_name_url

by_name_url: string

- Defined in Page/Page.ts:133

### content_by_name_url

content_by_name_url: string

- Defined in Page/Page.ts:134

### content_url

content_url: string

- Defined in Page/Page.ts:135

### domain

domain: IUserPageDomainAccess

- Defined in Page/Page.ts:136

### domain_id

domain_id: number

- Defined in Page/Page.ts:137

### domain_name

domain_name: string

- Defined in Page/Page.ts:138

### domain_url

domain_url: string

- Defined in Page/Page.ts:139

### encryption_key_to_use

encryption_key_to_use: string

- Defined in Page/Page.ts:141

### encryption_to_use

encryption_to_use: number

- Defined in Page/Page.ts:140

### id

id: number

- Defined in Page/Page.ts:142

### is_administrator

is_administrator: boolean

- Defined in Page/Page.ts:143

### is_public

is_public: boolean

- Defined in Page/Page.ts:144

### is_users_default_page

is_users_default_page: boolean

- Defined in Page/Page.ts:145

### name

name: string

- Defined in Page/Page.ts:146

### pull_interval

pull_interval: number

- Defined in Page/Page.ts:147

### push_interval

push_interval: number

- Defined in Page/Page.ts:148

### special_page_type

special_page_type: number

- Defined in Page/Page.ts:149

### url

url: string

- Defined in Page/Page.ts:150

### write_access

write_access: boolean

- Defined in Page/Page.ts:151

### ws_enabled

ws_enabled: boolean

- Defined in Page/Page.ts:152

Generated using TypeDoc